Initiate An eMandate
The eMandate Initiation API is sent by an initiating party (Creditor)to the receiving party (Debtor) in the collection chain to register an eMandate. CitiConnect clients can initiate eMandate Initiation for the direct debit collections. Currently, this functionality is applicable for the UK and for SEPA countries. The eMandate request will be sent in JSON message. The Push Notification API will enable eMandate API clients to receive proactive notification via a JSON Mandate Status Report if their Mandate Creation status changes. The push notification will only be sent for mandates initiated via API and client will receive multiple JSON Mandate Status Reports based on mandate status movement.
<font size=‘2’>Content-Type: Supports ‘application/json’
Authorization: The OAuth Token prefixed with “Bearer“ and space in between.
Authentication
All CitiConnect APIs use the oAuth2 authentication scheme, which requires a bearer token to authenticate your API call. The Token URL includes the version of authentication used by this API. See the Citi Authentication API reference for information on requesting a token.
Headers
Query parameters
This is your unique identifier shared during your CitiConnect API onboarding. This is the same client_id used for oauth token generation
Request
Set of elements used to provide the details of the mandate signed between the (ultimate) creditor and the (ultimate) debtor.
Require for SEPA and BACS e-Mandate creation. Account details about the party who initiates this payment.
Response
Indicates whether the mandate request was accepted or rejected or in-progress.
Accepted - ‘Yes’
In-Progress, Rejected - ‘No’
Possible DDI status for BACS -‘Active’, ‘Cancelled’, ‘Complete’, ‘Pending’, ‘Ready for Export’, ‘Exported’
Possible DDI status for SEPA -‘Active’, ‘Cancelled’, ‘Complete’, ‘Pending’
Possible Mandate status for HK - ‘Processed’, ‘CB-Rejected’, ‘Deleted’